VoiceBilling

Get Payments

Retrieve voice billing payments for your account. Returns data with pagination. Payments contains all financial operations such as top-ups, transfers, and usage-based charges related to voice balance.

GET
/api/v1/voice/billing/payments

Query Parameters

amount_from?number

Optional parameter. Filters payments with amount greater than or equal to given value.

amount_to?number

Optional parameter. Filters payments with amount less than or equal to given value.

amount_with_tax_from?number

Optional parameter. Filters payments with amount_with_tax greater than or equal to given value.

amount_with_tax_to?number

Optional parameter. Filters payments with amount_with_tax less than or equal to given value.

is_top_up?boolean

Optional parameter. Allows filtering only balance top-up operations or non-top-up payments.

page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

search?string

Optional parameter. Allows partial search across comment fields in payments.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "date" | "amount" | "amount_with_tax" | "user_balance_before" | "user_balance_after" | "comment"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/billing/payments" \  -H "Authorization: string"
{
  "data": [
    {
      "amount": 0,
      "amount_with_tax": 0,
      "approved": 0,
      "comment": "string",
      "credited_amount": 0,
      "date": "string",
      "entered_amount": 0,
      "exchange_rate": 0,
      "user_balance_after": 0,
      "user_balance_before": 0
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.